View Issue Details

IDProjectCategoryView StatusLast Update
0000029easycwmpQuestionpublic2015-02-11 18:30
Reporterlinhe Assigned ToAnis  
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionno change required 
PlatformlinuxOScentOSOS Version6.5
Summary0000029: openacs can not find easycwmp
Descriptionhi,Can you tell me how to configure /etc/config/easycwmp and /usr/share/easycwmp/defaults, I use OpenACS, but I don't know how to make CPE and ACS connection, how to add my own product configuration.thanks.
TagsNo tags attached.

Activities

linhe

2014-12-29 12:01

reporter   ~0000112

when i run easycwmp with command:sudo /usr/sbin/easycwmpd start
it shows:
config_init_local(53):: easycwmp.@local[0].interface=eth0
config_init_local(63):: easycwmp.@local[0].port=7547
config_init_local(81):: easycwmp.@local[0].ubus_socket=/var/run/ubus.sock
config_init_local(69):: easycwmp.@local[0].username=easycwmp
config_init_local(75):: easycwmp.@local[0].password=easycwmp
config_init_acs(149):: easycwmp.@acs[0].scheme=http
config_init_acs(155):: easycwmp.@acs[0].username=easycwmp
config_init_acs(161):: easycwmp.@acs[0].password=easycwmp
config_init_acs(167):: easycwmp.@acs[0].hostname=192.168.1.110
config_init_acs(177):: easycwmp.@acs[0].port=8080
config_init_acs(183):: easycwmp.@acs[0].path=/openacs/acs
config_init_acs(189):: easycwmp.@acs[0].periodic_enable=1
config_init_acs(195):: easycwmp.@acs[0].periodic_interval=100
config_init_acs(201):: easycwmp.@acs[0].periodic_time=0001-01-01T00:00:00Z
[weishusheng@localhost easycwmp]$
[weishusheng@localhost easycwmp]$

Anis

2014-12-29 18:15

developer   ~0000117

Last edited: 2014-12-30 09:13

You have to edit the ACS server parameters in config file '/etc/config/easycwmp' :

config acs
        option scheme 'http'
        option port '8080' --> the port used by your ACS server
        option path '/openacs/acs'--> the path in your ACS URL
        option hostname '192.168.1.77' --> should be the IP address of your ACS server
        option periodic_time '2014-01-01T00:01:21'
        option username 'easycwmp' --> the username if needed (secure ACS)
        option password 'pass' --> the password if needed (secure ACS)
        option periodic_enable 'true'
        option periodic_interval '180'
        option parameter_key 'commandKey'

linhe

2015-01-13 07:17

reporter   ~0000119

Last edited: 2015-01-14 05:15

Thank you to answer my question ,I follow your suggestions to configure my script,but the client starts to half and then get stucked,what should i do?Is ubusd gone wrong?Look forward to your advice!


notes;
[weishusheng@centOS6 ~]$ sudo easycwmpd start
config_init_local(54):: easycwmp.@local[0].interface=eth0
config_init_local(64):: easycwmp.@local[0].port=8080
config_init_local(82):: easycwmp.@local[0].ubus_socket=/tmp/ubus.sock
config_init_local(70):: easycwmp.@local[0].username=easycwmp
config_init_local(76):: easycwmp.@local[0].password=easycwmp
config_init_acs(150):: easycwmp.@acs[0].scheme=http
config_init_acs(156):: easycwmp.@acs[0].username=admin
config_init_acs(162):: easycwmp.@acs[0].password=openacs
config_init_acs(168):: easycwmp.@acs[0].hostname=192.168.1.3
config_init_acs(178):: easycwmp.@acs[0].port=8080
config_init_acs(184):: easycwmp.@acs[0].path=/openacs/acs
config_init_acs(190):: easycwmp.@acs[0].periodic_enable=0
config_init_acs(196):: easycwmp.@acs[0].periodic_interval=180
config_init_acs(202):: easycwmp.@acs[0].periodic_time=0001-01-01T00:00:00Z

it stop here...

and the /var/log/messages shows:
Jan 14 19:55:05 centOS6 easycwmpd: daemon started
Jan 14 19:55:05 centOS6 easycwmpd: add event '0 BOOTSTRAP'
Jan 14 19:55:05 centOS6 easycwmpd: configuration (re)load
Jan 14 19:55:05 centOS6 easycwmpd: init periodic inform: reference time = n/a, interval = 180
Jan 14 19:55:05 centOS6 easycwmpd: external script init
Jan 14 19:55:05 centOS6 easycwmpd: external: execute inform device_id
Jan 14 19:55:05 centOS6 easycwmpd: external script exit

mohamed.kallel

2015-01-16 10:55

administrator   ~0000122

Last edited: 2015-01-16 14:12

In fact your easycwmpd is running. you can check that with "ps -aux | grep cwmp"

But it will never start a session because there is no event to trigger a session.

exemple of events that you can do:

1) enable periodic event and you will get a periodic TR-069 session with your ACS

        option periodic_enable 'true'
        option periodic_interval '180'

2) Send a connection request to your cwmp:
Open your web browser and type the address:
"http://<ip_address_of_your_cpe>:7547

be sure that the local port is already configure with
easycwmp.@local[0].port=7547

3) To trigger an event at the start of easycwmpd, start the easycwmpd with the -g option:

[weishusheng@centOS6 ~]$ sudo easycwmpd -g

linhe

2015-02-04 09:44

reporter   ~0000125

It is my server's problem, you can put off this post, sorry,and thank you.

Issue History

Date Modified Username Field Change
2014-12-29 08:30 linhe New Issue
2014-12-29 12:01 linhe Note Added: 0000112
2014-12-29 18:15 Anis Note Added: 0000117
2014-12-29 18:15 Anis Note Edited: 0000117
2014-12-30 09:10 Anis Note Edited: 0000117
2014-12-30 09:11 Anis Note Edited: 0000117
2014-12-30 09:12 Anis Note Edited: 0000117
2014-12-30 09:12 Anis Note Edited: 0000117
2014-12-30 09:13 Anis Note Edited: 0000117
2015-01-07 09:28 Anis Status new => resolved
2015-01-07 09:28 Anis Resolution open => fixed
2015-01-07 09:28 Anis Assigned To => Anis
2015-01-13 07:17 linhe Note Added: 0000119
2015-01-13 07:17 linhe Status resolved => feedback
2015-01-13 07:17 linhe Resolution fixed => reopened
2015-01-13 07:31 linhe Note Edited: 0000119
2015-01-14 05:09 linhe Note Edited: 0000119
2015-01-14 05:15 linhe Note Edited: 0000119
2015-01-14 09:27 linhe Status feedback => assigned
2015-01-16 10:55 mohamed.kallel Note Added: 0000122
2015-01-16 10:56 mohamed.kallel Note Edited: 0000122
2015-01-16 10:57 mohamed.kallel Note Edited: 0000122
2015-01-16 14:12 mohamed.kallel Note Edited: 0000122
2015-02-04 09:44 linhe Note Added: 0000125
2015-02-11 18:30 mohamed.kallel Status assigned => resolved
2015-02-11 18:30 mohamed.kallel Resolution reopened => no change required